micro_utils.dokka
0.15.1

# openSecureWebSocketFlow

inline fun <T : Any> <Error class: unknown class>.openSecureWebSocketFlow(url: String, noinline checkReconnection: suspend (Throwable?) -> Boolean = { true }, noinline requestBuilder: <Error class: unknown class>.() -> Unit = {}): Flow<T>

#### Parameters

checkReconnection

This lambda will be called when it is required to reconnect to websocket to establish connection. Must return true in case if must be reconnected. By default always reconnecting